package model

import (
	"time"
)

type TaBook struct {
	BookId          string    `xorm:"not null pk VARCHAR(64)"`
	BookTypeId      string    `xorm:"VARCHAR(64)"`
	BookName        string    `xorm:"VARCHAR(64)"`
	BookBarcode     string    `xorm:"VARCHAR(64)"`
	BookImg         string    `xorm:"TEXT"`
	Author          string    `xorm:"VARCHAR(32)"`
	Publisher       string    `xorm:"VARCHAR(64)"`
	Price           string    `xorm:"DECIMAL(64)"`
	InStock         int       `xorm:"INT(11)"`
	LeftNum         int       `xorm:"INT(11)"`
	BorrowNum       int       `xorm:"INT(11)"`
	BookDescription string    `xorm:"TEXT"`
	Status          int       `xorm:"SMALLINT(6)"`
	CaseId          string    `xorm:"VARCHAR(64)"`
	OrgId           string    `xorm:"VARCHAR(64)"`
	CreateDate      time.Time `xorm:"DATETIME"`
}
