package model

import (
	"time"
)

type TaBookBorrowRecord struct {
	BookBorrowRecordId string    `xorm:"not null pk VARCHAR(64)"`
	BookId             string    `xorm:"VARCHAR(64)"`
	CustomerId         string    `xorm:"VARCHAR(64)"`
	CustomerName       string    `xorm:"VARCHAR(32)"`
	CustomerPhone      string    `xorm:"VARCHAR(32)"`
	BorrowDate         time.Time `xorm:"DATETIME"`
	ReturnDate         time.Time `xorm:"DATETIME"`
	EndDate            time.Time `xorm:"DATETIME"`
	BorrowStatus       string    `xorm:"VARCHAR(32)"`
	CaseId             string    `xorm:"VARCHAR(64)"`
	OrgId              string    `xorm:"VARCHAR(64)"`
}
