package model

import (
	"time"
)

type TaInStockChange struct {
	RecordId      string    `xorm:"not null pk VARCHAR(64)"`
	BookId        string    `xorm:"VARCHAR(64)"`
	InStockBefore int       `xorm:"INT(11)"`
	InStockAfter  int       `xorm:"INT(11)"`
	ChangeReason  string    `xorm:"TEXT"`
	ChangeDate    time.Time `xorm:"DATETIME"`
	ChangeUser    string    `xorm:"VARCHAR(64)"`
	CaseId        string    `xorm:"VARCHAR(64)"`
	OrgId         string    `xorm:"VARCHAR(64)"`
}
